<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');



class JExtranetControllerFiles extends JControllerAdmin {
	
	protected	$option 		= 'com_jextranet';
	protected 	$text_prefix	= 'COM_JEXTRANET_FILES';
	
	public function getModel($name = 'File', $prefix = 'JExtranetModel', $config = array('ignore_request' => true)) {
		$model = parent::getModel($name, $prefix, $config);
		return $model;
	}
	
	
	public function deleteAjax () {
		
		JRequest::checkToken('request') or jexit(JText::_('JINVALID_TOKEN'));
	
		$id 					= JRequest::getVar('id', 0, '', 'int');
		$ids					= array( $id );
		$model					= $this->getModel();
		$rezult 				= new stdclass;
		$rezult->error 			= '';
		
		if ( $model->deleteFiles( $ids ) ) {
			$rezult->error = 1;
		}
		
		flush();
		echo json_encode($rezult);
		exit();
	}
	
	

	// Method to view logs for a file
	public function logs () {
		
		JRequest::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
		
		$ids = JRequest::getVar('cid', array(), '', 'array');
		
		if ( empty($ids) ) {
			$this->setRedirect( 'index.php?option=com_jextranet&view=files', JText::_('COM_JEXTRANET_NO_SELECTED_FILE'), 'warning' );
		} else {
			$this->setRedirect( 'index.php?option=com_jextranet&view=filelogs&id=' . (int) $ids[0] );
		}
	}


	
	/*
	 * method to sync all files from database with the ones from server
	 * useful if you are uploading files via ftp and you want to automatically add them to J!Extranet
	 * can be done also from CLI, as a cron job accessing /administrator/components/com_jextranet/helpers/cli/sync.php
	 */
	public function sync () {
		JRequest::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
		require_once (JPATH_COMPONENT_ADMINISTRATOR . '/helpers/sync.php');
        $sync = new JExtranetSync();
        $sync->silent();
		$this->setRedirect( 'index.php?option=com_jextranet&view=folders' );
		return;
	}
	
	// method to set new ordering for a specified file
	public function setFileOrderAjax() {
		
		JRequest::checkToken('request') or jexit(JText::_('JINVALID_TOKEN'));
	
		$id 	= JRequest::getVar('id', 0, '', 'int');
		$order	= JRequest::getVar('order', null, '', 'string');

		if ( $id && $order ) {
			$order == 'up' ? $this->getModel()->orderup( $id ) : $this->getModel()->orderdown( $id );
		}
	}

	public function copyClipboard()
	{
		JRequest::checkToken('request') or jexit(JText::_('JINVALID_TOKEN'));

		$app = JFactory::getApplication();
		$id = $app->input->post->get('toadd', 0, 'int');
		$clipboard = $app->getUserState('com.jextranet.clipboard.files', array());

		if (!in_array($id, $clipboard))
		{
			$clipboard[] = $id;
			$app->setUserState('com.jextranet.clipboard.files', $clipboard);
		}
	}
}
