<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');
jimport('joomla.client.helper');

class JExtranetControllerFolder extends JControllerForm {
	
	protected	$option 		= 'com_jextranet';
	protected 	$text_prefix	= 'COM_JEXTRANET_FOLDERS';
	
	public function add () {
		$fid	= JRequest::getVar('fid','0','POST','int');
		$link	= 'index.php?option=com_jextranet&view=folder&layout=edit&fid=' . $fid;
		$this->setRedirect( $link  );
	}
	
	public function save($key = null, $urlVar = null)
	{
		$app 		= JFactory::getApplication();
		$input 		= $app->input;
		$data 		= $input->post->get('jform', array(), 'array');
		$new_name 	= $input->post->get('new_name', null, 'string');
		$model 		= $this->getModel( 'Folder', 'JExtranetModel' );
		$orig_id	= $data['fd_id'] ;
		
		// get original parent, in case we move the folder
		$data['fd_parent_orig'] = $input->post->get('fd_parent_orig', 0, 'int');
		
		
		$task		= $app->input->get('task');
		
		// Alter the name for save as copy
		if ( $task  == 'save2copy')
		{
			$data['fd_id'] 			= null;
			$data['fd_name'] 		= $new_name;
			$data['fd_name_ftp'] 	= $model->makeDir( $data );
						
			if ( $model->save( $data ) ) {
			
				$last_id = $model->getState()->get('folder.id');
				$record = JTable::getInstance('Folder', 'JExtranetTable');
				$record->load( $last_id );
				$base	= JExtranetHelper::getSystem()->getUploadFolder();	
				$dest	= $base . $record->fd_name_ftp . DIRECTORY_SEPARATOR;
				$record->load( $orig_id );
				$src	= $base . $record->fd_name_ftp . DIRECTORY_SEPARATOR;
			
				JFolder::copy( $src, $dest, '', true );
				
				require_once ( JPATH_COMPONENT_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'helpers' . DIRECTORY_SEPARATOR . 'sync.php' );
				$start		= JExtranetHelper::getSystem()->getUploadFolder ();
				$extranet 	= new JExtranetSync( $start );
				$extranet->seekItems();
				$extranet->getStoredFiles();
				$extranet->getStoredFolders();
				$extranet->sync();
				
				$this->setRedirect('index.php?option=com_jextranet&view=folder&layout=edit&fd_id=' . $last_id, JText::_('COM_JEXTRANET_FOLDERS_DUPLICATE_SUCCESSFULL'), 'message');
				return true;
			}
		
			$this->setRedirect('index.php?option=com_jextranet&view=folder&layout=edit&fd_id=' . $orig_id);
			return false;
		
		} else {
			
			if ( !$orig_id ) {
				$data['fd_name_ftp'] 	= $model->makeDir( $data );
			}

			if ( $model->save( $data ) ) {
				$last_id 	= $model->getState()->get('folder.id');
				if ( $task == 'save2new') {
					$this->setRedirect('index.php?option=com_jextranet&view=folder&layout=edit&fd_id=0');
					return;
				} elseif ( $task == 'save' ) {
					$this->setRedirect('index.php?option=com_jextranet');
					return;
				} elseif (  $task == 'apply' ) {
					$this->setRedirect('index.php?option=com_jextranet&task=folder.edit&fd_id=' . $last_id);
					return;
				}
			}
			$this->setRedirect('index.php?option=com_jextranet&view=folders');
			return false;
		}
	}
	
	
	public function saveAjax($key = null, $urlVar = null) {
		
		JRequest::checkToken('request') or jexit(JText::_('JINVALID_TOKEN'));
		
		$app 				= JFactory::getApplication();
		$input 				= $app->input;
		$data['fd_name']	= JRequest::getVar('name', null, '', 'string');
		$data['fd_type']	= JRequest::getVar('type', 'pv', '', 'string');
		$data['published']	= JRequest::getVar('published', 1, '', 'int');
		$data['fd_parent']	= JRequest::getVar('parent', 0, '', 'int');
		$data['fd_description'] = null;
		$data['fd_alerts']		= null;
		$data['fd_id'] 			= null;
		$model 					= $this->getModel( 'Folder', 'JExtranetModel' );
		$rezult 				= new stdclass;
		$rezult->error 			= '';
		
		if ( !$data['fd_name'] ) {
			$rezult->error 	= JText::_('COM_JEXTRANET_FOLDERS_CREATE_SAVE_FAILED');
		} else {
				// create folder on server
			$data['fd_name_ftp'] 	= $model->makeDir( $data );
			
			// return some data to refresh the list of folders
			if ( $model->save( $data ) ) {
				$rezult->Folders	= $model->getFolders( $data['fd_parent'] );
				$rezult->Files		= $model->getFiles( $data['fd_parent'] );
			} else {
				$rezult->error 	= JText::_('COM_JEXTRANET_FOLDERS_CREATE_SAVE_FAILED');
			}
		}
		
		flush();
		echo json_encode($rezult);
		exit();
	}


	/**
	 * paste a list of copied files into a folder
	 */
	public function paste()
	{
		JRequest::checkToken() or jexit(JText::_('JINVALID_TOKEN'));

		$app = JFactory::getApplication();
		$clipboard = $app->getUserState('com.jextranet.clipboard.files', array());
		$form = $app->input->post->get('jform', array(), 'array');

		if (!empty($clipboard))
		{
			if (!empty($form['fd_id']))
			{
				$id = (int) $form['fd_id'];
				$destination_folder = JExtranetHelper::getFolder($id);

				foreach ($clipboard as $key => $file_id)
				{
					$file = JExtranetHelper::getFile($file_id);
					$from = JExtranetHelper::getSystem()->getUploadFolder() . $file->path;
					$to = $destination_folder->uploadPath . $file->getName();

					if ($file->copyIt($from, $to))
					{
						$file->path = $destination_folder->ftp . $file->getName();
						$file->parent = $id;
						$file->updateSqlPath();
						unset($clipboard[$key]);
					}
				}

				$app->setUserState('com.jextranet.clipboard.files', $clipboard);
				$this->setRedirect('index.php?option=com_jextranet&view=folder&layout=edit&fd_id=' . (int) $form['fd_id'], JText::_('COM_JEXTRANET_FILES_PASTED'), 'info');
			}
		}
		else
		{
			if (!empty($form['fd_id']))
			{
				$this->setRedirect('index.php?option=com_jextranet&view=folder&layout=edit&fd_id=' . (int) $form['fd_id'], JText::_('COM_JEXTRANET_NO_FILES_TO_PASTE'), 'warning');
			}
			else
			{
				$this->setRedirect('index.php?option=com_jextranet&view=folders', JText::_('COM_JEXTRANET_NO_FILES_TO_PASTE'), 'warning');
			}
		}
	}

	
	
}
