<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

require_once ( JPATH_COMPONENT_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'helpers' . DIRECTORY_SEPARATOR . 'FolderAlert.php' );

class JExtranetControllerMultiple extends JControllerLegacy {
	
	protected	$option 		= 'com_jextranet';
	protected 	$text_prefix	= 'COM_JEXTRANET_FOLDERS';
	
	public function cancel () {
		$url = 'index.php?option=com_jextranet&view=folders';
		$this->setRedirect( $url );
	}
	
	
	public function upload () {
		
		JRequest::checkToken('request') or jexit(JText::_('JINVALID_TOKEN'));
				
		$model 		= $this->getModel('Multiple');
		$folder 	= JRequest::getVar ('folder',0,'','int');
		$plusOrder 	= JRequest::getVar ('order',0,'','int');
		
		$rezult = json_encode( $model->upload( $folder, $plusOrder ) );

		flush();
		echo $rezult;
		exit();
	}
	
	
	/*
	 * Method to send alert when uploading the files
	 */
	public function sendNotification() {
		
		JRequest::checkToken('request') or jexit(JText::_('JINVALID_TOKEN'));
		
		$params	= JComponentHelper::getParams('com_jextranet');
		$model	= $this->getModel('Multiple');
		$folder = JRequest::getVar('folder', 0, '', 'int');
		$files 	= JRequest::getVar('files', null, '', 'string');
		
		if ( !$folder || !$params->get('toSendAlerts') ) {
			return false;
		}
		
		$fnotif = new FolderNotifications( $folder );
		$fnotif->getNotifications();
		$fnotif->getAuthorizedUsers();

		if ( $fnotif->receivers ) {
			foreach ( $fnotif->notifications as $notification ) {
				$data 			= new stdclass;
				$data->users 	= $fnotif->receivers;
				$data->subject	= $notification->subject;
				$data->message	= $notification->message;
				$data->files	= $files;
				$data->folder	= $fnotif->folder;
				$data->html 	= $params->get('alertFormat', 0) ? true : false;
				
				$alerter = JExtranetHelper::getAlerter( $data ); 
				$alerter->prepare();
				
				if ( $params->get('sendAlertsMethods', 0 ) == 0 || $params->get('sendAlertsMethods', 0 ) == 2 ) {
					$alerter->sendEmail();
				}
				
				if ( $params->get('sendAlertsMethods', 0 ) == 1 || $params->get('sendAlertsMethods', 0 ) == 2 ) {
					$alerter->sendMessage();
				}
			}
		}
	}
	

	
}

?>
