<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetControllerUser extends JControllerForm {
	
	protected	$option 		= 'com_jextranet';
	protected 	$text_prefix	= 'COM_JEXTRANET_USERS';
	

    public function getJsonItems()
    {
        $input = JFactory::getApplication()->input;
        $parentFolder = $input->get('parent',0,'int');
        $offset = $input->get('offset',0,'int');
        $user = $input->get('user',0,'int');

        echo json_encode($this->getModel()->permissionsJsonData(
            $parentFolder, $offset, $user
        ));
        exit();
    }

    public function permission()
    {
        $input = JFactory::getApplication()->input;
        $uid = $input->get('user', 0, 'int');
        $folder = $input->get('folder', '0', 'string');
        $permission = $input->get('permission', 0, 'int');
        $task = $input->get('do', 'set', 'string');

        $user = JExtranetHelper::getUser($uid);
        $params = $user->getParams();

        if(is_null($params)) {
            $params = new stdclass;
        }

        if (empty($params->permissions)) {
            $params->permissions = new stdclass;
        }

        if (!isset($params->permissions->{$folder})) {
            $params->permissions->{$folder} = array();
        }

        if ($task == 'set') {
            $updated = $this->pushItem(
                            $params->permissions->{$folder}, $permission);
        } else {
            $updated = $this->removeItem(
                            $params->permissions->{$folder}, $permission);
        }

        $params->permissions->{$folder} = $updated;
        $user->setParams(json_encode($params));

        if ($folder != 'all') {
            $response = new stdclass;
            $response->his = $user->getOwnPermissions($folder);
            $response->mixed = $user->mixPermissions(
                $response->his, $user->getGroupPermissions($folder)
            );
        } else {
            $response = $this->getModel()->permissionsJsonData(0, 0, $uid, 1); 
        }
      
        echo json_encode($response);exit();
    }

    protected function pushItem($list, $item) {
        if(empty($list)) {
            $list[] = (string) $item;
        } else {
            if(!in_array($item, $list)) {
                $list[] = (string) $item;
            }
        }
        return $list;
    }

    protected function removeItem($list, $item) {
        if (!empty($list)) {
            if (in_array($item, $list)) {
                $key = array_keys($list, $item);
                unset($list[$key[0]]);
                sort($list);
            } 
        }
        return $list;
    }
}
