DROP TABLE IF EXISTS `#__extranet_alerts`;
DROP TABLE IF EXISTS `#__extranet_files`;
DROP TABLE IF EXISTS `#__extranet_folders`;
DROP TABLE IF EXISTS `#__extranet_messages`;
DROP TABLE IF EXISTS `#__extranet_users`;
DROP TABLE IF EXISTS `#__extranet_users_files`;
DROP TABLE IF EXISTS `#__extranet_users_groups`;


CREATE TABLE IF NOT EXISTS `#__extranet_alerts` (
  `a_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `a_name` varchar(255) NOT NULL DEFAULT '',
  `a_description` text NOT NULL,
  `a_subject` varchar(250) NOT NULL,
  `a_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `a_publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `a_publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `params` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`a_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `#__extranet_files` (
  `f_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `f_title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Filename visible, can be modified',
  `f_alias` text NOT NULL,
  `f_type` varchar(15) NOT NULL DEFAULT '',
  `f_parent` int(10) NOT NULL DEFAULT '0',
  `f_preview` varchar(255) NOT NULL DEFAULT '',
  `f_size` int(10) NOT NULL DEFAULT '0',
  `f_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `f_created_by` int(10) NOT NULL DEFAULT '0',
  `f_hits` int(10) unsigned NOT NULL DEFAULT '0',
  `f_description` text NOT NULL,
  `f_publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `f_publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `ordering` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`f_id`),
  KEY (`ordering`),
  KEY (`f_parent`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `#__extranet_folders` (
  `fd_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fd_parent` int(10) NOT NULL DEFAULT '0',
  `fd_name` varchar(255) NOT NULL DEFAULT '',
  `fd_name_ftp` text NOT NULL,
  `fd_description` text NOT NULL,
  `fd_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `fd_type` char(2) NOT NULL DEFAULT 'pv',
  `fd_alerts` int(10) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) unsigned NOT NULL DEFAULT '1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`fd_id`),
  KEY (`fd_parent`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `#__extranet_messages` (
  `m_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `m_user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `m_user_id_to` TEXT NOT NULL,
  `m_date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `m_subject` varchar(255) NOT NULL DEFAULT '',
  `m_message` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`m_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `#__extranet_users` (
  `u_id` int(10) unsigned NOT NULL DEFAULT '0',
  `g_id` int(10) NOT NULL DEFAULT '0',
  `block` tinyint(4) NOT NULL DEFAULT '0',
  `u_params` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  UNIQUE KEY `u_id` (`u_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `#__extranet_users_files` (
  `f_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `f_title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Filename visible, can be modified',
  `f_alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'Filename on ftp',
  `f_type` varchar(15) NOT NULL DEFAULT '',
  `f_size` int(10) NOT NULL DEFAULT '0',
  `f_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `f_created_by` int(10) NOT NULL DEFAULT '0',
  `f_hits` int(10) unsigned NOT NULL DEFAULT '0',
  `f_description` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`f_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `#__extranet_users_groups` (
  `g_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `g_name` varchar(250) NOT NULL DEFAULT '',
  `g_params` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`g_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
