<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetModelGroups extends JModelList
{
	protected	$option 		= 'COM_JEXTRANET';
	
	
	public function __construct($config = array()) {

		parent::__construct($config);
	}
	
	
	protected function populateState( $ordering = null, $direction = null ) { 
		
		// Initialise variables.
		$app = JFactory::getApplication('administrator');
		
		$state = $app->getUserStateFromRequest($this->context.'.filter.search', 'filter_search', '', 'string');
		$this->setState('filter.search', $state);
		
		// Load the parameters.
		$params = JComponentHelper::getParams('com_jextranet');
		$this->setState('params', $params);

		// List state information.
		parent::populateState('a.g_id', 'desc');
	}
	
	
	protected function getStoreId($id = '') {
		
		// Compile the store id.
		$id	.= ':'.$this->getState('filter.search');

		return parent::getStoreId($id);
	}
	

	protected function getListQuery() {
		
		// Create a new query object.
		$query	= $this->_db->getQuery(true);

		// Select the required fields from the table.
		$query->select(
			$this->getState(
				'list.select','a.g_id,a.g_name'
			)
		);
		$query->from(' #__extranet_users_groups AS a ');

		// Filter by search in title
		$search = $this->getState('filter.search');
		if (!empty($search))
		{
			if (stripos($search, 'id:') === 0) {
				$query->where('a.g_id = '.(int) substr($search, 3));
			}
			else
			{
				$search = $this->_db->Quote('%'.$this->_db->escape(strtolower($search), true).'%');
				$query->where('( LOWER(a.g_name) LIKE '.$search.')');
			}
		}
		
		
		// Add the list ordering clause.
		$orderCol = $this->getState('list.ordering', 'a.g_id');
		$query->order($this->_db->escape($orderCol).' '.$this->_db->escape($this->getState('list.direction', 'DESC')));
		
		return $query;
	}
	
	
}
?>
