<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetModelUsers extends JModelList
{
	protected	$option 		= 'COM_JEXTRANET';
	
	
	public function __construct($config = array()) {
		if (empty($config['filter_fields'])) {
			$config['filter_fields'] = array(
				'a.u_id',
				'a.g_id',
				'a.block',
				'b.name',
				'b.username',
				'b.email',
				'b.id',
			);
		}
		parent::__construct($config);
	}
	
	
	
	protected function populateState( $ordering = null, $direction = null ) { 
		
		// Initialise variables.
		$app = JFactory::getApplication('administrator');
		
		// Load the filter state.
		$search = $app->getUserStateFromRequest($this->context.'.filter.group', 'filter_group','', 'string');
		$this->setState('filter.group', $search);
		
		$state = $app->getUserStateFromRequest($this->context.'.filter.search', 'filter_search', '', 'string');
		$this->setState('filter.search', $state);
		
		// Load the parameters.
		$params = JComponentHelper::getParams('com_jextranet');
		$this->setState('params', $params);

		// List state information.
		parent::populateState('a.u_id', 'desc');
	}
	
	protected function getStoreId($id = '') {
		
		// Compile the store id.
		$id	.= ':'.$this->getState('filter.group');
		$id	.= ':'.$this->getState('filter.search');

		return parent::getStoreId($id);
	}
	
	

	protected function getListQuery() {
		
		// Create a new query object.
		$query	= $this->_db->getQuery(true);

		// Select the required fields from the table.
		$query->select(
			$this->getState(
				'list.select','b.name,b.username,b.email,b.id,a.u_id,a.g_id,a.block '
			)
		);
		$query->from(' #__extranet_users AS a ');
		
		$query->join ('INNER', '#__users AS b ON a.u_id = b.id ' );

		// Filter by group
		$group = $this->getState('filter.group');
		if (!empty($group)) {
			$query->where('a.g_id = '.(int) $group);
		} 
		
		
		// Filter by search in title
		$search = $this->getState('filter.search');
		if (!empty($search))
		{
			if (stripos($search, 'id:') === 0) {
				$query->where('a.u_id = '.(int) substr($search, 3));
			}
			else
			{
				$search = $this->_db->Quote('%'.$this->_db->escape(strtolower($search), true).'%');
				$query->where('( LOWER(b.name) LIKE '.$search.' OR LOWER(b.username) LIKE '.$search.' OR LOWER(b.email) LIKE '.$search.')');
			}
		}
		
		
		// Add the list ordering clause.
		$orderCol = $this->getState('list.ordering', 'a.u_id');
		$query->order($this->_db->escape($orderCol).' '.$this->_db->escape($this->getState('list.direction', 'DESC')));
		

		return $query;
	}
	

	
}
?>
