<div id="folders_template"><folders inline-template><div>
<div class="row-fluid item" v-show="folder != 0">
    <div class="span12">
        <p><a class="btn" v-on:click="backFolder()">
            <i class="icon-back"></i>
                <?php echo JText::_('COM_JEXTRANET_BACK');?>
            </a>
            <span class="depth" v-for="n in (previous.length - 1)">../</span>
        </p>
    </div>
</div>

<div class="row-fluid item" v-for="(item,index) in items">
    <div class="span10">
        <p> 
            <i class="icon-folder"></i>
            <a v-on:click="enterFolder(item.id)">
            {{item.name}}</a>
        </p>
    </div>
    <div class="span2">
        <span
            v-on:click="toggleSelection(item.id)"
            v-bind:class="selectionContains(item.id) ?
                                'label label-success' : 'label'">
            <i class="icon-save"></i></span>
    </div>
</div>

<div class="pagination pagination-toolbar">
    <nav>
        <ul v-for="page in pagination_list()" class="pagination-list">
            <li v-bind:class="isPageActive(page.value)">
                <a v-on:click="changePage(page.value)">{{page.text}}</a></li>
        </ul>
    </nav>
</div>

<p class="hidden" v-for="selected in selection">
    <input type="hidden" :value=selected name="folders[]" />
</p>
</div></folders></div>
<script>
Vue.component("folders",{
    data: function (){ return {
        selected: 0,
        pages: <?php echo $this->json->pages;?>,
        folder: 0,
        items: <?php echo $this->json->items;?>,
        previous: [{page: 0, id: 0}],
        selection: <?php echo $this->json->selection;?>,
    }},  
    methods: {
        toggleSelection: function(id) {
            if (this.selectionContains(id)) {
                var filtered = this.selection.filter(function(el){
                    if (el != id) return true;
                    return false;
                });
                this.selection = filtered;
            } else {
                this.selection.push(id); 
            }
        },
        selectionContains: function(id) {
            if (this.selection.indexOf(id) !== -1) {
                return true;
            }
            return false;
        },
        pagination_list: function() {
            var counter = [];

            if (this.pages > 10) {
                var picked = [];
                picked.push(0);
                picked.push(this.pages-1);
                
                if (picked.indexOf(this.selected) == -1) {
                    picked.push(this.selected);
                } 
                var n_1 = this.selected - 1;
                var n_2 = this.selected - 2;
                var n_3 = this.selected - 3;
                var n_plus_1 = this.selected + 1;
                var n_plus_2 = this.selected + 2; 
                var n_plus_3 = this.selected + 3; 
                var n_quarter = this.selected - parseInt(this.selected/4);
                var n_plus_quarter = this.selected + parseInt(this.selected/4);
                if (picked.indexOf(n_1) == -1 && n_1 > 0) {
                    picked.push(n_1);
                } 
                if (picked.indexOf(n_2) == -1 && n_2 > 0) {
                    picked.push(n_2);
                } 
                if (picked.indexOf(n_3) == -1 && n_3 > 0) {
                    picked.push(n_3);
                } 
                if (picked.indexOf(n_quarter) == -1 && n_quarter > 0) {
                    picked.push(n_quarter);
                } 
                if (picked.indexOf(n_plus_1) == -1 && n_plus_1 < this.pages) {
                    picked.push(n_plus_1);
                } 
                if (picked.indexOf(n_plus_2) == -1 && n_plus_2 < this.pages) {
                    picked.push(n_plus_2);
                } 
                if (picked.indexOf(n_plus_3) == -1 && n_plus_3 < this.pages) {
                    picked.push(n_plus_3);
                } 
                if (picked.indexOf(n_plus_quarter) == -1 &&
                                                n_plus_quarter < this.pages) {
                    picked.push(n_plus_quarter);
                } 
                picked.sort(function(a,b){return a-b;});
                picked.forEach(function(value){
                    pagina = {};
                    pagina.text = value + 1;
                    pagina.value = value;
                    counter.push(pagina);
                });
            } else {
                for (var i = 0;i<this.pages; i++) {
                    pagina = {};
                    pagina.text = i+1;
                    pagina.value = i;
                    counter.push(pagina);
                }
            }
            return counter;
        },
        isPageActive: function(selected) {
            if (selected == this.selected) {
                return 'active';
            }
        },
        changePage: function(newpage) {
            this.selected = newpage;
            var data = {
                'parent':this.folder,
                'offset':this.selected,
            };
            var url = 'index.php?option=com_jextranet&task=alert.getJsonItems';
            var self = this;
            jQuery.post(url, data, function(response){
                var r = JSON.parse(response);
                self.pages = r.pages;
                self.items = JSON.parse(r.items);
            });
        },
        enterFolder: function(id) {
            var current = {'page':this.selected, 'id': this.folder};
            this.previous.push(current);
            this.access(id, 0);
        },
        backFolder: function() {
            if (this.previous.length === 0) {
                return;
            }

            var previous = this.previous.pop();
            this.access(previous.id, previous.page);
        },
        access: function(id, page) {
            this.folder = id;
            var data = {
                'parent' : id,
                'offset' : page,
            };
            var url = 'index.php?option=com_jextranet&task=alert.getJsonItems';
            var self = this;
            jQuery.post(url, data, function(response){
                var r = JSON.parse(response);
                self.pages = r.pages;
                self.items = JSON.parse(r.items);
            });
        },
    },
});
new Vue({ el: "#folders_template" })
</script>
