<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetViewFolder extends JViewLegacy
{
	protected $item;
	protected $form;
	protected $state;
	protected $files;
	protected $folders;
	protected $route;

	public function display($tpl = null)
	{
		$this->state	= $this->get('State');
		$this->item		= $this->get('Item');
		$this->form		= $this->get('Form');
		$this->folders	= $this->item->fd_id ? $this->getModel()->getFolders( $this->item->fd_id ) : array();
		$this->files 	= $this->item->fd_id ? $this->getModel()->getFiles( $this->item->fd_id ) : array();
		$this->route	= $this->item->fd_id ? JExtranetHelper::getFolder( $this->item->fd_id )->getRoute() : array();

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}

		$this->addToolbar();
		parent::display($tpl);
	}

	protected function addToolbar() {
		
		JHtml::stylesheet( 'administrator/components/com_jextranet/assets/css/default.css' );
		JHTML::_('script','administrator/components/com_jextranet/assets/js/mfupload.js');
		
		$user		= JFactory::getUser();
		$isNew		= ($this->item->fd_id == 0);
		$canDo		= JExtranetHelper::getSystem()->getActions();
		
		if ($isNew) { 
			JToolBarHelper::title(JText::_('COM_JEXTRANET_ADD'), 'folder');
		} else {
			JToolBarHelper::title(JText::_('COM_JEXTRANET_EDIT'), 'folder');
		}

		// If not checked out, can save the item.
		if ($canDo->get('core.edit')||($canDo->get('core.create'))) {
			JToolBarHelper::apply('folder.apply', 'JTOOLBAR_APPLY');
			JToolBarHelper::save('folder.save', 'JTOOLBAR_SAVE');
		}
		if ($canDo->get('core.create')){		
			JToolBarHelper::custom('folder.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
			JToolBarHelper::custom('folder.paste', 'download', 'download', 'COM_JEXTRANET_PASTE_COPIED_FILE', false);
		}
		
		if ($canDo->get('core.create') && !$isNew ) {
			$bar = JToolBar::getInstance('toolbar');
			JHtml::_('bootstrap.modal', 'collapseModal');
			$title = JText::_('COM_JEXTRANET_FOLDERS_DUPLICATE');
			$dhtml = "<button data-toggle=\"modal\" data-target=\"#collapseModal\" class=\"btn btn-small\">
						<i class=\"icon-copy\" title=\"$title\"></i>
						$title</button>";
			$bar->appendButton('Custom', $dhtml, 'COM_JEXTRANET_FOLDERS_DUPLICATE');
		}

		if (empty($this->item->fd_id))  {
			JToolBarHelper::cancel('folder.cancel','JTOOLBAR_CANCEL');
		} else {
			JToolBarHelper::cancel('folder.cancel', 'JTOOLBAR_CLOSE');
		}
	}
}
?>
