<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

JHtml::_('bootstrap.tooltip');
JHtml::_('dropdown.init');

$user		= JFactory::getUser();
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
$canChange	= $user->authorise('core.edit.state','com_jextranet');
$state		= array ('0'=>JText::_('COM_JEXTRANET_UNPUBLISHED'),'1'=>JText::_('COM_JEXTRANET_PUBLISHED'));
$type		= array ('pv'=>JText::_('COM_JEXTRANET_PRIVATE'),'pb'=>JText::_('COM_JEXTRANET_PUBLIC'));
$saveOrder	= $listOrder == 'a.ordering';

if ( $saveOrder )
{
	$saveOrderingUrl = 'index.php?option=com_jextranet&task=folders.saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'foldersList', 'adminForm', strtolower($listDirn), $saveOrderingUrl);
}
?>

<script type="text/javascript">

	Joomla.submitbutton = function(task)
	{
		if (task == 'files.sync') {
			jQuery('#loading').css('display', 'block');
			Joomla.submitform(task, document.getElementById('adminForm'));
		} else {
			Joomla.submitform(task, document.getElementById('adminForm'));
		}
	}

	jQuery(document).ready(function($) {
		var outerDiv = jQuery('#jextranet');

		$('<div id="loading"></div>')
			.css("background", "rgba(255, 255, 255, .8) url('../media/jui/img/ajax-loader.gif') 50% 15% no-repeat")
			.css("top", outerDiv.position().top - $(window).scrollTop())
			.css("left", outerDiv.position().left - $(window).scrollLeft())
			.css("width", outerDiv.width())
			.css("height", outerDiv.height())
			.css("position", "fixed")
			.css("opacity", "0.80")
			.css("-ms-filter", "progid:DXImageTransform.Microsoft.Alpha(Opacity = 80)")
			.css("filter", "alpha(opacity = 80)")
			.css("display", "none")
			.appendTo(outerDiv);
	});
</script>

<div id="jextranet" class="clearfix">
<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=folders'); ?>" method="post" name="adminForm" id="adminForm">
	
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>

	<div id="j-main-container" class="span10">

		<div id="filter-bar" class="btn-toolbar">
			
			<div class="filter-search btn-group pull-left">
				<input type="text" name="filter_search" id="filter_search" placeholder="<?php echo JText::_('JSEARCH_FILTER_LABEL'); ?>" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" title="" />
			</div>

			<div class="btn-group pull-left">
				<button class="btn tip" type="submit" title="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>"><i class="icon-search"></i></button>
				<button class="btn tip" type="button" title="<?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?>" onclick="document.id('filter_search').value='';this.form.submit();"><i class="icon-remove"></i></button>
			</div>
		
			<div class="btn-group pull-right">
				<select name="filter_published" class="inputbox" onchange="this.form.submit()">
					<option value=""> - <?php echo JText::_('COM_JEXTRANET_SELECT_FOLDER_STATE');?> - </option>
					<?php echo JHtml::_('select.options', $state  , 'value', 'text', $this->state->get('filter.published'));?>
				</select>
			</div>
			
			<div class="btn-group pull-right">
				<select name="filter_type" class="inputbox" onchange="this.form.submit()">
					<option value=""> - <?php echo JText::_('COM_JEXTRANET_SELECT_TYPE');?> - </option>
					<?php echo JHtml::_('select.options', $type , 'value', 'text', $this->state->get('filter.type'));?>
				</select>
			</div>
		
		</div>

		<div class="clearfix"></div>
	
		<table class="table table-striped" id="foldersList">
			<thead>
				<tr>
					<th width="1%" class="nowrap center hidden-phone">
						<?php echo JHtml::_('grid.sort', '<i class="icon-menu-2"></i>', 'a.ordering', $listDirn, $listOrder, null, 'asc', 'JGRID_HEADING_ORDERING'); ?>
					</th>
		
					<th>
						<input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this)" />
					</th>

					<th>
						<?php echo JHtml::_('grid.sort', 'COM_JEXTRANET_NAME', 'a.fd_name', $listDirn, $listOrder); ?>
					</th>
			
					<th>
						<?php echo JHtml::_('grid.sort', 'COM_JEXTRANET_PUBLISHED', 'a.published', $listDirn, $listOrder); ?>
					</th>
			
					<th>
						<?php echo JHtml::_('grid.sort', 'COM_JEXTRANET_TYPE', 'a.fd_type', $listDirn, $listOrder); ?>
					</th>
			
					<th>
						<?php echo JHtml::_('grid.sort', 'COM_JEXTRANET_CREATED', 'a.fd_created', $listDirn, $listOrder); ?>
					</th>
			
					<th>
						<?php echo JHtml::_('grid.sort', 'COM_JEXTRANET_ID', 'a.fd_id', $listDirn, $listOrder); ?>
					</th>
			
				</tr>
			</thead>

			<tbody>
			<?php foreach ($this->items as $i => $item) { ?>
				<tr class="row<?php echo $i % 2; ?>">
					
					<td class="order nowrap center hidden-phone">
						<?php if ($canChange) {
							$disableClassName = '';
							$disabledLabel	  = '';
							if (!$saveOrder) {
								$disabledLabel    = JText::_('JORDERINGDISABLED');
								$disableClassName = 'inactive tip-top';
							} ?>
							<span class="sortable-handler hasTooltip <?php echo $disableClassName?>" title="<?php echo $disabledLabel?>">
								<i class="icon-menu"></i>
							</span>
							<input type="text" style="display:none" name="order[]" size="5" value="<?php echo $item->ordering;?>" class="width-20 text-area-order " />
						<?php } else { ?>
							<span class="sortable-handler inactive" >
								<i class="icon-menu"></i>
							</span>
						<?php } ?>
					</td>

					<td>
						<?php echo JHtml::_('grid.id', $i, $item->fd_id); ?>
					</td>
		
					<td class="nowrap has-context">
						<i class="icon icon-folder"></i>&nbsp;<a href="index.php?option=com_jextranet&task=folder.edit&fd_id=<?php echo $item->fd_id;?>"><?php echo $this->escape($item->fd_name);?></a>
					</td>
		
					<td>
						<?php echo JHtml::_('jgrid.published',  $item->published, $i , 'folders.', $canChange , 'cb'); ?>
					</td>
		
					<td>
						<?php echo $item->fd_type == 'pv' ? JText::_('COM_JEXTRANET_PRIVATE') : JText::_('COM_JEXTRANET_PUBLIC');  ?>
					</td>
		
					<td>
						<?php echo $item->fd_created;  ?>
					</td>
		
					<td>
						<?php echo $item->fd_id; ?>
					</td>
		
				</tr>

			<?php } ?>
			</tbody>
				
			<tfoot>
				<tr>
					<td colspan="7">
						<?php echo $this->pagination->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
		</table>
		
	</div>

		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<?php echo JHtml::_('form.token'); ?>
</form>
</div>
