<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
 
class JExtranetViewFolders extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;
	protected $ordering;

	function display($tpl = null) {
		
		$this->items		= $this->get('Items');
		$this->pagination	= $this->get('Pagination');
		$this->state		= $this->get('State');
		$this->ordering		= $this->get('Ordering');
		
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
		
		$this->addToolbar();

		JExtranetHelper::getSystem()->addSubmenu ('folders');
		$this->sidebar = JHtmlSidebar::render();

		parent::display($tpl);
		
	}
	
	public function addToolbar() {	
		
		//JHtml::_('bootstrap.loadCss', true );
		JHtml::stylesheet( 'administrator/components/com_jextranet/assets/css/default.css' );

		$canDo	= JExtranetHelper::getSystem()->getActions();
		
		JToolBarHelper::title(   'J!Extranet :: ' . JText::_( 'COM_JEXTRANET_FOLDERS' ), 'folder' );	
		
		if ($canDo->get('core.create')) {
			JToolBarHelper::addNew('folder.add', 'COM_JEXTRANET_NEW_FOLDER');
		}
		
		if ($canDo->get('core.delete')) {
			JToolBarHelper::custom('folders.fdelete', 'delete.png', 'delete.png', 'JTOOLBAR_DELETE' , false);
		}
		if ($canDo->get('core.edit.state')) {
			JToolBarHelper::custom('folders.publish', 'publish.png', 'publish_f2.png','JTOOLBAR_PUBLISH', true);
			JToolBarHelper::custom('folders.unpublish', 'unpublish.png', 'unpublish_f2.png', 'JTOOLBAR_UNPUBLISH', true);
		}
		
		if ($canDo->get('core.create')) {		
			JToolBarHelper::custom('files.sync', 'refresh', 'refresh','COM_JEXTRANET_FILES_SYNC', false);
		}

		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('com_jextranet');
		}	
		
	}
	
}
?>
