<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetViewMessage extends JViewLegacy
{
	protected $item;
	protected $form;
	protected $state;
    protected $params;

	public function display($tpl = null)
	{
		$this->state	= $this->get('State');
		$this->item		= $this->get('Item');
		$this->form		= $this->get('Form');
        $this->params   = JComponentHelper::getParams('com_jextranet');
		$this->getModel()->setStatus();

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}

		$this->addToolbar();
		parent::display($tpl);
	}

	protected function addToolbar() {
		
		JHtml::stylesheet( 'administrator/components/com_jextranet/assets/css/default.css' );
		
		$isNew		= ($this->item->m_id == 0);
		$canDo		= JExtranetHelper::getSystem()->getActions();
		
		if ($isNew) { 
			JToolBarHelper::title(JText::_('COM_JEXTRANET_MESSAGES_COMPOSE_MESSAGE'), 'envelope');
		} else {
			JToolBarHelper::title(JText::_('COM_JEXTRANET_READ'), 'envelope');
		}

		if ($isNew)  {
			if ($canDo->get('core.edit')||($canDo->get('core.create'))) {
				JToolBarHelper::save('message.save', 'COM_JEXTRANET_MESSAGES_SEND');
			}
		}

		if ($isNew)  {
			JToolBarHelper::cancel('message.cancel','JTOOLBAR_CANCEL');
		} else {
			JToolBarHelper::cancel('message.cancel', 'JTOOLBAR_CLOSE');
		}
	}
}
?>
