<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
 
class JExtranetViewUsers extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;
	protected $globalPermissions;

	function display($tpl = null) {
		
		$this->items		= $this->get('Items');
		$this->pagination	= $this->get('Pagination');
		$this->state		= $this->get('State');
		$this->globalPermissions = JExtranetHelper::getSystem()->params->get('globalRights', array(1));
		
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
		
		$this->addToolbar();

		JExtranetHelper::getSystem()->addSubmenu ('users');
		$this->sidebar = JHtmlSidebar::render();

		parent::display($tpl);
		
	}
	
	
	public function addToolbar() {	

		JHtml::stylesheet( 'administrator/components/com_jextranet/assets/css/default.css' );

		$canDo	= JExtranetHelper::getSystem()->getActions();
		
		JToolBarHelper::title(   'J!Extranet :: ' . JText::_( 'COM_JEXTRANET_USERS' ), 'user' );	
		
		if ($canDo->get('core.create')) {
			$bar = JToolBar::getInstance('toolbar');
			JHtml::_('bootstrap.modal', 'collapseModal');
			$title = JText::_('JTOOLBAR_NEW');
			$dhtml = "<button data-toggle=\"modal\" data-target=\"#collapseModal\" class=\"btn btn-small\">
						<i class=\"icon-new\" title=\"$title\"></i>
						$title</button>";
			$bar->appendButton('Custom', $dhtml, 'JTOOLBAR_NEW');
		}
		
		if ($canDo->get('core.edit')) {
			JToolBarHelper::editList('user.edit','JTOOLBAR_EDIT');
		}
		
		if ($canDo->get('core.delete')) {
			JToolBarHelper::custom('users.delete', 'delete.png', 'delete.png', 'JTOOLBAR_DELETE' , false);
		}
		
		if ($canDo->get('core.admin')) {
			JToolBarHelper::custom('users.logs', 'eye-open', 'eye-open','COM_JEXTRANET_VIEW_LOGS', true);
			JToolBarHelper::custom('users.bulkpermissions', 'lock', 'lock','COM_JEXTRANET_BULK_PERMISSIONS', false);
		}
		
		if ($canDo->get('core.edit.state')) {
			JToolBarHelper::custom('users.unblock', 'ok', 'ok','COM_JEXTRANET_USERS_AUTHORISE', true);
			JToolBarHelper::custom('users.block', 'remove', 'remove', 'COM_JEXTRANET_USERS_UNAUTHORISE', true);
		}
		
		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('com_jextranet');
		}		
	}
	
}
?>
