<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Copyright (C) 2011 Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.utilities.date');

class JExtranetHelperSystem
{

	protected static $uploadPath;

	public function getDateToMySQL() {

		$tz	= new DateTimeZone(JFactory::getApplication()->getCfg('offset'));
		$jdate 	= new JDate();
		$jdate->setTimezone($tz);
		$date = $jdate->toSql(true);

		return $date;
	}

	public static function parseSize( $size ) {
		if ($size < 1024) {
			return $size . ' ' . JText::_('COM_JEXTRANET_FILESIZE_BYTES');
		}
		elseif ($size < 1024 * 1024) {
			return sprintf('%01.2f', $size / 1024.0) . ' ' .   JText::_('COM_JEXTRANET_FILESIZE_KILOBYTES') ;
		}
		else {
			return sprintf('%01.2f', $size / (1024.0 * 1024)) . ' ' . JText::_('COM_JEXTRANET_FILESIZE_MEGABYTES') ;
		}
	}


	/*
	 * Method to get the default path for storing J!Extranet folderss
	 */
	public function getUploadFolder () {

		if (!isset(self::$uploadPath)) {
			self::$uploadPath = JComponentHelper::getParams('com_jextranet')->get( 'defaultUploadLocation',   
								JPATH_COMPONENT_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'media' . DIRECTORY_SEPARATOR . 'extranet' );
			self::$uploadPath = ( self::$uploadPath == '/' ) ? JPATH_COMPONENT_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'media' . DIRECTORY_SEPARATOR . 'extranet' : self::$uploadPath;

		} 

		return self::$uploadPath;
	}
	
	
	public static function getFileDetails ( $file_id ) {
		
		$db		= JFactory::getDbo();
		
		$query 	= 	' SELECT a.f_id, a.f_title, f_type, a.f_parent, a.f_alias, a.f_created_by ' .
					' FROM #__extranet_files AS a ' .
					' WHERE a.f_id = ' . (int) $file_id . 
					' LIMIT 1 ';
			
		$db->setQuery($query);
		$file = $db->loadObject();
		
		return $file;
	}
	
	
	public function checkToken( $token, $file_id ) {

		$file 		= self::getFileDetails( $file_id );
		
		if ( !isset($file->f_id) ) {
			return false;
		}
		
		$unique 	= JFactory::getApplication()->getCfg('secret');
		$expected 	= sha1( $file->f_id . $file->f_alias . $file->f_created_by . $unique );
		return ( $expected == $token );
	}


	public static function getUsers () {

		$db		= JFactory::getDbo();
		$users		= array();
		
		$query 		= $db->getQuery(true);
		$query->select( 'a.u_id AS value, b.name AS text, b.email' );
		$query->from( '#__extranet_users AS a' );
		$query->join('inner','#__users AS b ON a.u_id = b.id ');
		$query->where('a.block = 1');

		$db->setQuery($query);
		$users 	= $db->loadObjectList();

		return $users;
	}

}
