<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

function JExtranetBuildRoute(&$query)
{
	$segments = array();

	if (isset($query['task'])) {
		$segments[] = $query['task'];
		unset($query['task']);
	}

	if (isset($query['view'])) {
		$segments[] = $query['view'];
		unset($query['view']);
	}
	
	if (isset($query['tmpl'])) {
		$segments[] = $query['tmpl'];
		unset($query['tmpl']);
	}
	
	if (isset($query['fid'])) {
		$segments[] =  $query['fid'];
		unset($query['fid']);
	}
	
	if (isset($query['folder'])) {
		$segments[] =  $query['folder'];
		unset($query['folder']);
	}
	
	if (isset($query['id'])) {
		$segments[] =  $query['id'];
		unset($query['id']);
	}
	
	return $segments;
}


function JExtranetParseRoute($segments)
{
	$vars = array();

	// view is always the first element of the array
	$count = count($segments);
	
	if ($count)
	{
		
		if ($segments[0] == 'jextranet') {
			$vars['view'] = 'jextranet';
		}
		
		if ($segments[0] == 'login') {
			$vars['view'] = 'login';
		} 
		
		// folders
		if ($segments[0] == 'folders') {
			$vars['view'] = 'folders';
			if (isset($segments[1])) {
				$vars['fid'] = $segments[1];
			}
		} 
		
		// download file
		if ($segments[0] == 'file') {
			$vars['view'] = 'file';
			if (isset($segments[1])) {
				$vars['id'] = $segments[1];
			}
		} 
		
		
		// preview 
		if ($segments[0] == 'info') {
			$vars['view'] = 'info';
			$vars['tmpl'] = 'component';
			if (isset($segments[1])) {
				$vars['id'] = $segments[1];
			}
		}
		
		// upload
		if ($segments[0] == 'upload') {
			$vars['view'] = 'upload';
			$vars['tmpl'] = 'component';
			if (isset($segments[2])) {
				$vars['folder'] = $segments[2];
			}
		}

		// upload form
		if ($segments[0] == 'file.upload') {
			$vars['task'] = 'file.upload';
		} 


		if ($segments[0] == 'file.delete') {
			$vars['task'] = 'file.delete';
			if (isset($segments[1])) {
				$vars['id'] = $segments[1];
			}
		} 
		
		// create folder
		if ($segments[0] == 'createf') {
			$vars['view'] = 'createf';
			$vars['tmpl'] = 'component';
			if (isset($segments[2])) {
				$vars['folder'] = $segments[2];
			}
		}
		
		// subscribe
		if ($segments[0] == 'folders.subscribe') {
			$vars['task'] = 'folders.subscribe';
			if (isset($segments[1])) {
				$vars['folder'] = $segments[1];
			}
		} 
		
		if ($segments[0] == 'userfiles') {
			$vars['view'] = 'userfiles';
		} 
		
		// download userfiles
		if ($segments[0] == 'userfiles.download') {
			$vars['task'] = 'userfiles.download';
		} 
		
		// remove userfiles
		if ($segments[0] == 'userfiles.remove') {
			$vars['task'] = 'userfiles.remove';
		} 
		
		if ($segments[0] == 'bookmarks') {
			$vars['view'] = 'bookmarks';
		} 

		// download bookmarks
		if ($segments[0] == 'bookmarks.download') {
			$vars['task'] = 'bookmarks.download';
		} 
		
		// remove bookmarks
		if ($segments[0] == 'bookmarks.remove') {
			$vars['task'] = 'bookmarks.remove';
		} 
		
		if ($segments[0] == 'alerts') {
			$vars['view'] = 'alerts';
		} 
		
		// remove alerts
		if ($segments[0] == 'alerts.remove') {
			$vars['task'] = 'alerts.remove';
		} 
		
		if ($segments[0] == 'messages') {
			$vars['view'] = 'messages';
		} 
		
		// read message
		if ($segments[0] == 'messages.read') {
			$vars['task'] = 'messages.read';
		} 
		
		// write message
		if ($segments[0] == 'messages.compose') {
			$vars['task'] = 'messages.compose';
		} 
		
		// send message
		if ($segments[0] == 'message.send') {
			$vars['task'] = 'message.send';
		}
		
		if ($segments[0] == 'message') {
			$vars['view'] = 'message';
			if (isset($segments[1])) {
				$vars['id'] = $segments[1];
			}
		} 
		
		if ($segments[0] == 'search') {
			$vars['view'] = 'search';
		} 

		if ($segments[0] == 'custom') {
			$vars['view'] = 'custom';
			if (isset($segments[1])) {
				$vars['id'] = $segments[1];
			}
		} 
	}

	return $vars;
}
