<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
?>

    <?php if ( !$this->user->canView($this->level) && $this->folder->get('id') ) { return ; } ?>

    <!-- content -->
    <div class="row-fluid"> 
        <div class="span12">

            <div class="row-fluid">
                <div class="span12">
                    <ul class="breadcrumb">
                        <?php foreach ($this->route as $route) { ?>
                            <li><a href="<?php echo JRoute::_('index.php?option=com_jextranet&view=folders&fid=' . $route->id, false) ; ?>"><?php echo $this->escape($route->name);?></a><span class="divider">/</span></li> 
                        <?php } ?>
                    </ul>
                </div>
            </div>
           
			<?php if ( $description = $this->folder->get('description') ) {?>
            <div class="row-fluid">
                <div class="span12">
					<div class="file-description">
						<div class="file-description-header span2">
							<i class="ico-info"></i>
						</div>
						<div class="file-description-body span10">
							<?php echo nl2br($description); ?>
						</div>
					</div>
                </div>
            </div>
           <?php } ?>			
			
			<?php if ( $this->folder->parent !== 0 ) { ?>
            <div class="row-fluid item-row">
                <div class="span12">
                	<div class="span6">
							<div class="span5 pull-left">
								.. <a href="<?php echo JRoute::_('index.php?option=com_jextranet&view=folders&fid=' . $this->folder->parent, false );?>"><i class="ico-action-undo"></i> <?php echo JText::_('COM_JEXTRANET_GO_BACK') ;?></a>
							</div>
							<div class="span7 pull-right">
								<?php if ( $this->user->canDownload($this->level) ) { ?>
								<button type="button" class="btn btn-small" onclick="JExtranetSubmitTaskID('file.download_all');"><i class="ico ico-cloud-download"></i> <?php echo JText::_('COM_JEXTRANET_DOWNLOAD_SELECTED');?></button>
								<button type="button" class="btn btn-small" onclick="JExtranetToggleAllFiles();JExtranetSubmitTaskID('file.download_all');JExtranetToggleAllFiles();"><i class="ico ico-cloud-download"></i> <?php echo JText::_('COM_JEXTRANET_DOWNLOAD_ALL');?></button>
								<?php } ?>
							</div>
                	</div>
                  
                	<div class="span6 small">
				        <?php if ( $this->folder->get('id') && $this->user->canUpload($this->level) ) { ?>
				        <div class="span6 text-center">
					        <a href="javascript:void(0);" class="span12" onclick="toggleUploader();return false;">
					            <i class="ico-cloud-upload"></i> <?php echo JText::_('COM_JEXTRANET_FOLDERS_ADD_FILES'); ?>
					        </a>
					    </div>

				        <?php } if ( $this->user->canCreateFolder($this->level) ) { ?>
				        <div class="span6 text-center">
					        <a href="javascript:void(0);" class="span12" onclick="JExtranetUploadWin('<?php echo JRoute::_('index.php?option=com_jextranet&view=createf&folder='. $this->folder->get('id') . '&tmpl=component');?>', '<?php echo $this->window->width;?>','<?php echo $this->window->height;?>');return false;">
					            <i class="ico-plus"></i> <?php echo JText::_('COM_JEXTRANET_FOLDERS_CREATE_FOLDER'); ?>
					        </a>
					    </div>
				        <?php } ?>
				    </div>

                </div>
            </div>
            <?php } ?>
            

            <?php if ( $this->folder->get('id') && $this->user->canUpload($this->level) ) { ?>
		    <!-- upload -->	
		    <div class="info"></div>
		    <div id="uf1" style="display: none;">
			    <div id="upload-zone">
					<div class="row-fluid">
						<div class="span12">
							<div id="uploader">
								<div id="upload" class="span4 pull-left" style="border:2px dashed #007FCC; height:200px;"></div>
								<div id="uploaded" class="span8 pull-left" style="border: 1px solid #ddd; height:200px; overflow-y:auto; background:#ecf0f1; color:#2c3e50"></div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- /upload -->
			<?php } ?>


            <?php if (!empty($this->folders)) { 
                    foreach ($this->folders as $i => $folder) {
                        $url = JRoute::_('index.php?option=com_jextranet&view=folders&fid=' . $folder->id ); ?>
            <div class="row-fluid item-row">
                <div class="span9">
                    <i class="ico-folder-alt jicon"></i> <a href="<?php echo $url;?>"><?php echo $this->escape($folder->title); ?> </a>
                </div>
                <div class="span3">
                    <?php if ($count_param = $this->params->get('displayCount', 0)) {?>
                    <?php echo sprintf(JText::_('COM_JEXTRANET_FOLDERS_COUNT_FILES'),
                            JExtranetHelperFolder::getInstance($folder->id)
                                ->files_count($count_param == 1)) ;?>
                    <?php } ?>
                </div>
            </div>
            <?php } } ?>


            <?php if (!empty($this->files)) {
                foreach ($this->files as $i => $file) { ?>
				<?php if (!in_array($file->title, $this->ignored)) { ?>
                 <div class="row-fluid item-row">
                    <div class="span12">
                        <div class="span10 dropdown">
								<i class="ico-doc jicon"></i> 
								<span class="filetype"><?php echo strtoupper($file->type);?></span> 
								<a class="dropdown-toggle" data-toggle="dropdown" href="#"><?php echo $this->escape( $file->title ); ?></a>
								
								<?php if ( $file->description ) {?>
								<span class="pull-right">
									<a href="javascript:toggleInfo('<?php echo $file->id;?>');"><i class="ico-info"></i></a>
								</span>
								<?php } ?>
								
								<span class="size pull-right">
									 <?php echo JExtranetHelper::getSystem()->parseSize($file->size); ?>
								</span>
								
								<?php if ($this->params->get('showFileDate',0) == 1) {?>
									<span class="size pull-right">
										<i class="ico-calendar"></i> <?php echo JFactory::getDate($file->creation)->format('Y-m-d') ;?>
									</span>
								<?php } ?>
								
								 <ul class="dropdown-menu">
									<?php if ( $this->user->canDownload($this->level) ) { ?>
									<li>
										<?php if ( $this->params->get('useTerms', 0) ) {?>
											<a href="javascript:JExtranetDownloadThisAfterTerms('<?php echo $file->id;?>','<?php echo JUri::root(false) ;?>');"> <i class="ico-arrow-down "></i> <?php echo JText::_('COM_JEXTRANET_FOLDERS_DOWNLOAD'); ?></a>
										<?php } else { ?> 
											<a href="javascript:JExtranetDownloadThis('<?php echo $file->id;?>');"> <i class="ico-arrow-down"></i>  <?php echo JText::_('COM_JEXTRANET_FOLDERS_DOWNLOAD'); ?></a>
										<?php } ?>
									</li>

									<?php if ($file->type && in_array(strtolower($file->type), $this->previewtypes)) { ?>
									<li><a href="javascript:JExtranetPreview('file.preview', '<?php echo $file->id;?>');"> <i class="ico-eyeglasses"></i>  <?php echo JText::_('COM_JEXTRANET_PREVIEW'); ?></a></li>
									<?php } ?>

									<?php if ( $this->params->get('useBookmarks',1) == 1 ) {?>
									<li><a href="javascript:JExtranetSubmitTaskID('file.bookmark', '<?php echo $file->id;?>');"> <i class="ico-pin"></i> <?php echo JText::_('COM_JEXTRANET_FOLDERS_CLICK_TO_BOOKMARK');?></a></li>
									<?php } } ?>

									<?php if ( $this->user->canDelete($this->level) ) {?>
									<li><a href="<?php echo JRoute::_('index.php?option=com_jextranet&task=file.delete&id=' . $file->id . '&return=' . $this->return . '&t=' . time(), false); ?>"> <i class="ico-trash"></i> <?php echo JText::_('COM_JEXTRANET_FOLDERS_DELETE_FILE');?></a></li>
									<?php } ?>
								</ul>
								
								<?php if ( $file->description ) {?>
								<div class="file-description" id="file-info-<?php echo $file->id;?>" style="display:none;">
									<div class="file-description-header">
										<i class="ico-info"></i> <?php echo JText::_('COM_JEXTRANET_FOLDERS_CLICK_TO_PREVIEW'); ?>
									</div>
									<div class="file-description-body">
										<?php echo $file->description; ?>
									</div>
								</div>
								<?php } ?>
                        </div>
			
						<div class="span1 goto-wrapper">
							<?php if ( $this->user->canDownload($this->level) ) { ?>
								<?php if ( $this->params->get('useTerms', 0)  ) { ?>
									<a href="javascript:JExtranetDownloadThisAfterTerms('<?php echo $file->id;?>','<?php echo JUri::root(false) ;?>');"><i class="ico-arrow-down"></i></a>
								<?php } else { ?> 
									<a href="javascript:JExtranetDownloadThis('<?php echo $file->id;?>');"><i class="ico-arrow-down"></i></a>
								<?php } ?>
							<?php } else { ?>
								<i class="ico-ban"></i> <?php echo $this->escape( $file->title ); ?>
							<?php } ?>
                        </div>
                        
                        <div class="span1">
							<input type="checkbox" name="zip[]" value="<?php echo $file->id;?>" class="zips" />
                        </div>
                    </div>
                </div>
            <?php } } } ?>

        </div>
    </div>
    <!-- //content -->
